include:
    - project: "operator-ict/devops/gitlab-ci-pipeline"
      file:
          - '/code-quality/sonar-cloud.yml'
          - '/npm/golemio-module-cache.yml'
          - '/npm/golemio-module-tests.yml'
          - '/npm/publish.yml'
          - '/npm/pages.yml'

stages:
    - test
    - deploy

npm_publish:
    after_script:
        - npm deprecate "@golemio/counters" "This module has been merged with the flow module and is no longer maintained. Please refer here https://gitlab.com/operator-ict/golemio/code/modules/flow"
